#include <bits/stdc++.h>
int mas[200003];
bool ok(int n){
    for(int i=0;i<n;i++){
        if(mas[i]!=0)
            return false;
    }
    return true;
}
using namespace std;

int main()
{
    int n,kolvo=0;

    cin>>n;
    mas[0]=0;
    mas[n+1]=0;
    for(int i=1;i<=n;i++){
        cin>>mas[i];
    }
    while(!ok(n)){
        int maxs=0;
        int imax=0;
        for(int i=0;i<=n;i++){
            if(mas[i]>maxs){
                maxs=mas[i];
                imax=i;
            }
        }
        int jmax=imax;
        int t=max(mas[imax+1],mas[imax-1]);
        if(maxs!=t){
            kolvo=kolvo+maxs-t;
            mas[imax]=t;
        }
        else{
                mas[imax]--;
                while(mas[imax+1]==maxs || mas[jmax-1]==maxs){
                    if(mas[imax+1]==maxs){
                        mas[imax+1]--;
                        imax++;
                    }
                    if(mas[jmax-1]==maxs){
                        mas[jmax-1]--;
                        jmax--;
                    }

                }
                kolvo++;
        }
    }
    cout<<kolvo;
    return 0;
}
